Subject: Re: bug#50731: `progress-reporter-update' docstring and `backward-sexp' interaction

From: Stefan Kangas <[email-masked]>
Date: Thu, 23 Sep 2021 00:12:08 -0700

Eli Zaretskii <[email-masked]> writes:

> How do we decide?  What is TRT for backward-sexp in context that has
> no sexps?  If we change anything here, it could potentially affect a
> lot of unrelated code out there.

That's true.

> Once again, why does checkdoc want you to have 2 spaces there? what
> rule is it that ends up requiring that?

Sorry, I didn't understand you were asking about checkdoc.  The code
there is really simple: find the next dot (that is also at a word
boundary), run `backward-sexp', use a regexp to see if this is an
abbreviation.

So it lands on the "r" in "reporter---i.e." and says, no, this is not an
abbreviation I know about, so there has to be two spaces after the dot.